import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.txt')).read()
CHANGES = open(os.path.join(here, 'CHANGES.txt')).read()

requires = [
    'pyramid',
    'SQLAlchemy',
    'transaction',
    'pyramid_tm',
    'pyramid_debugtoolbar',
    'zope.sqlalchemy',
    'waitress',
    'genshi',
    'pywebtools>=0.5.1',
    'decorator',
    'mimeparse',
    'formencode',
    'Alembic',
    ]

setup(name='PyMoneyStats',
      version='0.4',
      description='PyMoneyStats',
      long_description=README + '\n\n' +  CHANGES,
      classifiers=[
        "Programming Language :: Python",
        "Framework :: Pyramid",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        ],
      keywords='web wsgi bfg pylons pyramid',
      packages=find_packages('src'),
      package_dir = {'': 'src'},
      include_package_data=True,
      zip_safe=False,
      test_suite='pymoneystats',
      install_requires=requires,
      entry_points="""\
      [paste.app_factory]
      main = pymoneystats:main
      [console_scripts]
      PyMoneyStats = pymoneystats.scripts.main:main
      """,
      author='Mark Hall',
      author_email='Mark.Hall@work.room3b.eu',
      url='https://bitbucket.org/mhall/pymoneystats/overview',
      download_url='https://bitbucket.org/mhall/pymoneystats/downloads',
      )

