# -*- coding: utf-8 -*-
# PyMoneyStats - On-Line Budget Manager
#
# Copyright (C) 2012 Mark Hall
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
u"""

.. moduleauthor:: Mark Hall <mark.hall@mail.room3b.eu>
"""
from pyramid.view import view_config
from pywebtools.renderer import render

def init(config):
    config.add_route('root', '/')
    config.add_route('items.index', '/items')
    config.add_route('items.add', '/items/add')
    config.add_route('items.autocomplete', '/items/autocomplete')
    config.add_route('items.suggest', '/items/suggest')
    config.add_route('items.view', '/items/{iid}')
    config.add_route('items.edit', '/items/{iid}/edit')
    config.add_route('items.delete', '/items/{iid}/delete')
    config.add_route('analysis.index', '/analysis')
    config.add_route('analysis.overview', '/analysis/overview')
    config.add_route('analysis.overview.data', '/analysis/overview/data')
    config.add_route('importexport.index', '/importexport')
    config.add_route('importexport.export', '/importexport/export')
    config.add_route('importexport.import', '/importexport/import')


@view_config(route_name='root')
@render({'text/html': 'root.html'})
def root(request):
    return {}